org.jboss.jca.common.api.metadata

## Class CopyUtil

- java.lang.Object
- - org.jboss.jca.common.api.metadata.CopyUtil

-     public class CopyUtil
      extends java.lang.Object

  A CopyUtil.
  Author:
    Stefano Maestri

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CopyUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T extends CopyableMetaData> T` | `clone(T input)` Clone an IDDecoratedMetadata taking care of null cheks
    `static <T extends CopyableMetaData> java.util.List<T>` | `cloneList(java.util.List<T> list)` clone a list of IdDecoratedMetadata and deep into the elements
    `static java.util.List<java.lang.String>` | `cloneListOfStrings(java.util.List<java.lang.String> list)` clone a list of string deep into elements
    `static java.lang.String` | `cloneString(java.lang.String input)` clone a String

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CopyUtil

          public CopyUtil()

  - ### Method Detail

    - #### cloneList

          public static <T extends CopyableMetaData> java.util.List<T> cloneList(java.util.List<T> list)

      clone a list of IdDecoratedMetadata and deep into the elements
      Type Parameters:
        `T` - type extending `CopyableMetaData`
      Parameters:
        `list` - the list to clone
      Returns:
        cloned list

    - #### cloneListOfStrings

          public static java.util.List<java.lang.String> cloneListOfStrings(java.util.List<java.lang.String> list)

      clone a list of string deep into elements
      Parameters:
        `list` - the list to clone
      Returns:
        cloned list

    - #### cloneString

          public static java.lang.String cloneString(java.lang.String input)

      clone a String
      Parameters:
        `input` - the input
      Returns:
        cloned String

    - #### clone

          public static <T extends CopyableMetaData> T clone(T input)

      Clone an IDDecoratedMetadata taking care of null cheks
      Type Parameters:
        `T` - type extending `CopyableMetaData`
      Parameters:
        `input` - type extending IdDecoratedMetadata
      Returns:
        cloned input

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)